<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/src/BlueZDeviceManager.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_1298b2e4ec6fcaa0bfd6e425cd36abba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">BlueZDeviceManager.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;<a class="el" href="_bluetooth_events_8h_source.html">AVSCommon/Utils/Bluetooth/BluetoothEvents.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_d_p_records_8h_source.html">AVSCommon/Utils/Bluetooth/SDPRecords.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_u_u_i_d_generation_8h_source.html">AVSCommon/Utils/UUIDGeneration/UUIDGeneration.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_bluetooth_device_8h_source.html">BlueZ/BlueZBluetoothDevice.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_constants_8h_source.html">BlueZ/BlueZConstants.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_device_manager_8h_source.html">BlueZ/BlueZDeviceManager.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_host_controller_8h_source.html">BlueZ/BlueZHostController.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_media_endpoint_8h_source.html">BlueZ/MediaEndpoint.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for BlueZDeviceManager.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_blue_z_device_manager_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_device_manager_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_device_manager_8cpp" id="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_device_manager_8cpp">
<area shape="rect" id="node6" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="2255,452,2446,491"/>
<area shape="rect" id="node17" href="_s_d_p_records_8h.html" title="AVSCommon/Utils/Bluetooth\l/SDPRecords.h" alt="" coords="1411,545,1602,584"/>
<area shape="rect" id="node18" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="736,452,912,491"/>
<area shape="rect" id="node27" href="_u_u_i_d_generation_8h.html" title="AVSCommon/Utils/UUIDGeneration\l/UUIDGeneration.h" alt="" coords="953,365,1186,404"/>
<area shape="rect" id="node28" href="_blue_z_bluetooth_device_8h.html" title="BlueZ/BlueZBluetoothDevice.h" alt="" coords="1813,459,2016,484"/>
<area shape="rect" id="node34" href="_blue_z_constants_8h.html" title="BlueZ/BlueZConstants.h" alt="" coords="1613,105,1779,131"/>
<area shape="rect" id="node35" href="_blue_z_device_manager_8h.html" title="BlueZ/BlueZDeviceManager.h" alt="" coords="2598,185,2797,211"/>
<area shape="rect" id="node42" href="_blue_z_host_controller_8h.html" title="BlueZ/BlueZHostController.h" alt="" coords="3482,459,3672,484"/>
<area shape="rect" id="node47" href="_media_endpoint_8h.html" title="BlueZ/MediaEndpoint.h" alt="" coords="3849,105,4009,131"/>
<area shape="rect" id="node7" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="1997,545,2243,584"/>
<area shape="rect" id="node11" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="3474,639,3691,691"/>
<area shape="rect" id="node14" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="2104,639,2326,691"/>
<area shape="rect" id="node16" href="_a2_d_p_role_8h.html" title="AVSCommon/Utils/Bluetooth\l/A2DPRole.h" alt="" coords="2369,545,2559,584"/>
<area shape="rect" id="node15" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="1819,639,2029,691"/>
<area shape="rect" id="node12" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="3471,739,3691,777"/>
<area shape="rect" id="node22" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="717,545,931,584"/>
<area shape="rect" id="node23" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="456,645,632,684"/>
<area shape="rect" id="node24" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="195,545,371,584"/>
<area shape="rect" id="node25" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="446,545,642,584"/>
<area shape="rect" id="node26" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1313,739,1489,777"/>
<area shape="rect" id="node31" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="3147,545,3341,584"/>
<area shape="rect" id="node33" href="_d_bus_properties_proxy_8h.html" title="BlueZ/DBusPropertiesProxy.h" alt="" coords="2920,652,3117,677"/>
<area shape="rect" id="node38" href="_bluetooth_device_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceManager\lInterface.h" alt="" coords="2063,265,2297,317"/>
<area shape="rect" id="node39" href="_bluetooth_host_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothHostController\lInterface.h" alt="" coords="2584,539,2811,591"/>
<area shape="rect" id="node40" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="1711,365,1902,404"/>
<area shape="rect" id="node41" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2885,545,3073,584"/>
<area shape="rect" id="node44" href="_blue_z_utils_8h.html" title="BlueZUtils.h" alt="" coords="4069,552,4163,577"/>
<area shape="rect" id="node45" href="_m_p_r_i_s_player_8h.html" title="BlueZ/MPRISPlayer.h" alt="" coords="2937,279,3087,304"/>
<area shape="rect" id="node46" href="_pairing_agent_8h.html" title="BlueZ/PairingAgent.h" alt="" coords="3797,459,3944,484"/>
<area shape="rect" id="node43" href="_mac_address_string_8h.html" title="AVSCommon/Utils/MacAddress\lString.h" alt="" coords="3192,645,3400,684"/>
<area shape="rect" id="node48" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="3898,179,4096,217"/>
<area shape="rect" id="node49" href="_media_context_8h.html" title="BlueZ/MediaContext.h" alt="" coords="4271,185,4425,211"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">alexaClientSDK::bluetoothImplementations</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">alexaClientSDK::bluetoothImplementations::blueZ</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_blue_z_device_manager_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a23e71b1ed2580028ea3a40268635dbfe"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a23e71b1ed2580028ea3a40268635dbfe">alexaClientSDK::bluetoothImplementations::blueZ::MEDIATRANSPORT_PROPERTY_STATE</a> = &quot;State&quot;</td></tr>
<tr class="memdesc:a23e71b1ed2580028ea3a40268635dbfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">MediaTransport1 interface property "state".  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a23e71b1ed2580028ea3a40268635dbfe">More...</a><br /></td></tr>
<tr class="separator:a23e71b1ed2580028ea3a40268635dbfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61faec2d574929f2c405c12e5c25755a"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a61faec2d574929f2c405c12e5c25755a">alexaClientSDK::bluetoothImplementations::blueZ::OBJECT_PATH_ROOT</a> = &quot;/&quot;</td></tr>
<tr class="memdesc:a61faec2d574929f2c405c12e5c25755a"><td class="mdescLeft">&#160;</td><td class="mdescRight">DBus object root path.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a61faec2d574929f2c405c12e5c25755a">More...</a><br /></td></tr>
<tr class="separator:a61faec2d574929f2c405c12e5c25755a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25f3f35c89dd5e6e0ac85aed79b516e2"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a25f3f35c89dd5e6e0ac85aed79b516e2">alexaClientSDK::bluetoothImplementations::blueZ::A2DP_CODEC_SBC</a> = 0x00</td></tr>
<tr class="memdesc:a25f3f35c89dd5e6e0ac85aed79b516e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">BlueZ codec id for SBC.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a25f3f35c89dd5e6e0ac85aed79b516e2">More...</a><br /></td></tr>
<tr class="separator:a25f3f35c89dd5e6e0ac85aed79b516e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2b50bfcec977d4b7c8ac3f33fcd8877"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af2b50bfcec977d4b7c8ac3f33fcd8877">alexaClientSDK::bluetoothImplementations::blueZ::SBC_CAPS_ALL</a> = 0xff</td></tr>
<tr class="memdesc:af2b50bfcec977d4b7c8ac3f33fcd8877"><td class="mdescLeft">&#160;</td><td class="mdescRight">Support all available capabilities for this byte.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#af2b50bfcec977d4b7c8ac3f33fcd8877">More...</a><br /></td></tr>
<tr class="separator:af2b50bfcec977d4b7c8ac3f33fcd8877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0639f49b5aaa4dfcaef3658e36ef2158"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a0639f49b5aaa4dfcaef3658e36ef2158">alexaClientSDK::bluetoothImplementations::blueZ::SBC_BITPOOL_MIN</a> = 2</td></tr>
<tr class="memdesc:a0639f49b5aaa4dfcaef3658e36ef2158"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum bitpool size supported.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a0639f49b5aaa4dfcaef3658e36ef2158">More...</a><br /></td></tr>
<tr class="separator:a0639f49b5aaa4dfcaef3658e36ef2158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7447c0930516f09ce0238c0e649da597"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7447c0930516f09ce0238c0e649da597">alexaClientSDK::bluetoothImplementations::blueZ::SBC_BITPOOL_MAX</a> = 64</td></tr>
<tr class="memdesc:a7447c0930516f09ce0238c0e649da597"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maxmimum bitpool size supported.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7447c0930516f09ce0238c0e649da597">More...</a><br /></td></tr>
<tr class="separator:a7447c0930516f09ce0238c0e649da597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a667344802da54a36b50c3762c2b21e57"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a667344802da54a36b50c3762c2b21e57">alexaClientSDK::bluetoothImplementations::blueZ::DBUS_ENDPOINT_PATH_SINK</a> = &quot;/com/amazon/alexa/sdk/sinkendpoint&quot;</td></tr>
<tr class="separator:a667344802da54a36b50c3762c2b21e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab013d22d386fcd257b8655eab4aad250"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ab013d22d386fcd257b8655eab4aad250">alexaClientSDK::bluetoothImplementations::blueZ::STATE_PENDING</a> = &quot;pending&quot;</td></tr>
<tr class="separator:ab013d22d386fcd257b8655eab4aad250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcce23209da95b55be17a4b29ee50969"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#adcce23209da95b55be17a4b29ee50969">alexaClientSDK::bluetoothImplementations::blueZ::STATE_IDLE</a> = &quot;idle&quot;</td></tr>
<tr class="separator:adcce23209da95b55be17a4b29ee50969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a374241bfaf34d28d61cbe4acd233cbce"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a374241bfaf34d28d61cbe4acd233cbce">alexaClientSDK::bluetoothImplementations::blueZ::STATE_ACTIVE</a> = &quot;active&quot;</td></tr>
<tr class="separator:a374241bfaf34d28d61cbe4acd233cbce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad01f6f0e39c688b091431e24036559bd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ad01f6f0e39c688b091431e24036559bd">alexaClientSDK::bluetoothImplementations::blueZ::TAG</a> {&quot;BlueZDeviceManager&quot;}</td></tr>
<tr class="memdesc:ad01f6f0e39c688b091431e24036559bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ad01f6f0e39c688b091431e24036559bd">More...</a><br /></td></tr>
<tr class="separator:ad01f6f0e39c688b091431e24036559bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
